package FirstExample;

import java.util.ArrayList;
import java.util.List;
import uk.co.agena.minerva.model.Model;
import uk.co.agena.minerva.model.extendedbn.*;


public class FirstExample{
    
    public static void main(String args[]) {
      try{
        Model myModel = Model.createEmptyModel();
        // First get the single BN
        ExtendedBN ebn = myModel.getExtendedBNAtIndex(0);
        // Add a new node of type Boolean to this BN;
        // its identifier is �b� ands its name is �B�

        BooleanEN booleanNode = ebn.addBooleanNode("b", "B");
        LabelledEN labelledNode = ebn.addLabelledNode("l", "L");
        
        labelledNode.addChild(booleanNode);   
                  
       
        
        myModel.calculate();
        myModel.save("test.cmp");
        Model m = Model.load("test.cmp");


  }
   catch (Exception e){};
 }
}