package stest;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.NativeLibrary;
import java.io.File;

public class Test implements Library {

	static {
		System.out.println("os.name\t\t\t" + System.getProperty("os.name"));
		System.out.println("os.arch\t\t\t" + System.getProperty("os.arch"));
		System.out.println("os.version\t\t" + System.getProperty("os.version"));
		System.out.println("sun.arch.data.model\t" + System.getProperty("sun.arch.data.model"));
	}

	public static NativeLibrary GetNativeLibrary(String lib) {
		String libraryPath = System.getProperty("user.dir") + File.separator + "lib" + File.separator + "lexactivator";
		libraryPath += File.separator + lib + File.separator + "libLexActivator.so";
		return NativeLibrary.getInstance(libraryPath);

	}

	public static void main(String[] args) {
		System.out.println("Try with: "+args[0]);
		Native.register(GetNativeLibrary(args[0]));
	}
}
